<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use UnexpectedValueException;




class AIRichResponseMessageType
{
    


    const AI_RICH_RESPONSE_TYPE_UNKNOWN = 0;
    


    const AI_RICH_RESPONSE_TYPE_STANDARD = 1;

    private static $valueToName = [
        self::AI_RICH_RESPONSE_TYPE_UNKNOWN => 'AI_RICH_RESPONSE_TYPE_UNKNOWN',
        self::AI_RICH_RESPONSE_TYPE_STANDARD => 'AI_RICH_RESPONSE_TYPE_STANDARD',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

